Results 1 to 7 of 7

Thread: xfce4-weather-plugin in Xenial stopped working.

  1. #1
    Join Date
    Jul 2005
    Location
    I think I'm here! Maybe?
    Beans
    Hidden!

    xfce4-weather-plugin in Xenial stopped working.

    I posted this information inn the hope that it may help others searching with the same problem.

    My main system is using Xubuntu 16.04 64bit and for the past week or so the panel weather-update applet, ie xfce4-weather-plugin -0.8.6-1 has been unable to show any weather information.

    A bug was posted for this yesterday (related to Mint, but same plugin version) to which I subscribed.
    https://bugs.launchpad.net/linuxmint/+bug/1692016

    Further searches found that it might be worth trying a more recent version of the plugin so I have downloaded the version for Zesty 0.8.9-1 from https://launchpad.net/ubuntu/+source...build/12025316 which installed without problem in Xenial using gdebi and immediately has started working as it should.

    I have no idea why the 0.8.6-1 version has stopped, but I do now have a working version; I will keep an eye open on the bug and report back if any other solution is found.
    DISTRO: Xubuntu 16.04-64bit --- Code-tags --- Boot-Repair --- Grub2 wiki & Grub2 Basics --- RootSudo --- Wireless-Info

  2. #2
    Join Date
    Nov 2012
    Location
    Halloween Town
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: xfce4-weather-plugin in Xenial stopped working.

    The xfce4-weather-plugin package is outdated, ajgreeny. There is a new version because weather datacenter changed api: https://bugzilla.xfce.org/show_bug.cgi?id=13527

  3. #3
    Join Date
    Nov 2012
    Location
    Halloween Town
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: xfce4-weather-plugin in Xenial stopped working.


  4. #4
    Join Date
    Jul 2005
    Location
    I think I'm here! Maybe?
    Beans
    Hidden!

    Re: xfce4-weather-plugin in Xenial stopped working.

    Quote Originally Posted by slickymaster View Post
    The xfce4-weather-plugin package is outdated, ajgreeny. There is a new version because weather datacenter changed api: https://bugzilla.xfce.org/show_bug.cgi?id=13527
    Thanks slickymaster. A search didn't find either of those links that you've now pointed me to.

    However, even after reading this link (and the next one in your following post) I am still a little confused; does it mean that the version I now have from zesty may also fail, or has the 0.8.9-1 version that I have already been patched so it will continue to work?
    DISTRO: Xubuntu 16.04-64bit --- Code-tags --- Boot-Repair --- Grub2 wiki & Grub2 Basics --- RootSudo --- Wireless-Info

  5. #5
    Join Date
    Nov 2012
    Location
    Halloween Town
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: xfce4-weather-plugin in Xenial stopped working.

    The patch for the 0.8.9-1 version was released on 2017-05-12

  6. #6
    Join Date
    Jan 2010
    Location
    Illinois
    Beans
    127
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: xfce4-weather-plugin in Xenial stopped working.

    How can I update this for my system which is still on 14.04 Xubuntu?

    When I tried installing the 8.9.1 deb, I get:

    "Dependency is not satisfiable: libxfce4util7 (>=4.9.0)

  7. #7
    Join Date
    Jun 2007
    Beans
    12,659

    Re: xfce4-weather-plugin in Xenial stopped working.

    Quote Originally Posted by NTL2009 View Post
    How can I update this for my system which is still on 14.04 Xubuntu?

    When I tried installing the 8.9.1 deb, I get:
    "Dependency is not satisfiable: libxfce4util7 (>=4.9.0)
    Xubuntu 14.04 is no longer officially supported (support ended last month). The 0.8.9 weather package needs xfce 4.12 and Xubuntu 14.04 uses xfce 4.10
    What would happen if your hard disk died right now?

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •